Name: 	 	gnome-phone-manager
Summary: 	GNOME Cellular Phone Manager
Version: 	0.69
Release: 	%mkrel 14
Source:		https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
Patch0:		gnome-phone-manager-0.68-eds.patch
Patch1:		gnome-phone-manager-0.68-automake-1.13.patch
Patch2:		gnome-phone-manager-0.69-drop-plugin.patch
Patch3:		gnome-phone-manager-0.69-adwaita-icon-theme.patch
URL:		https://wiki.gnome.org/PhoneManager
License:	GPLv2+
Group:		Communications/Mobile
BuildRequires:	intltool >= 0.35.0
BuildRequires:	GConf2
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnokii) >= 0.6.28
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 3.0
BuildRequires:	pkgconfig(adwaita-icon-theme) >= 2.19.1
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(telepathy-glib)

%description
Phone Manager allows you to control aspects of your mobile phone from the
GNOME desktop.

Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility
    * Evolution Addressbook integration when sending messages

Phone Manager supports any mobile phone that can connect to your computer as a
serial port: via Bluetooth, IrDA, or a serial cable.

%prep
%setup -q
%autopatch -p1
sed -i 's|msgstr "Phone Manager"|msgstr "Менеджер телефона"|g' po/ru.po

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--enable-shared \
	--disable-static \
	--enable-compile-warnings=no \
	--enable-cxx-warnings=no
%make

%install
%makeinstall_std

%find_lang %name

find %{buildroot} -name '*.la' -delete

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc README AUTHORS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%_libexecdir/telepathy-phoney
%_libdir/gnome-bluetooth/plugins/libphonemgr.so
%_datadir/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%_datadir/telepathy/managers/phoney.manager


%changelog
* Sat Sep 24 2016 ovitters <ovitters> 0.69-14.mga6
+ Revision: 1055827
- rebuild to pay tribute to new evolution-data-server

* Mon Feb 15 2016 umeabot <umeabot> 0.69-13.mga6
+ Revision: 960437
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.69-12.mga6
+ Revision: 815678
- rebuild for evolution-data-server

* Thu Nov 27 2014 alexl <alexl> 0.69-11.mga5
+ Revision: 799506
- fixed Russian translation

* Wed Oct 15 2014 umeabot <umeabot> 0.69-10.mga5
+ Revision: 749593
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.69-9.mga5
+ Revision: 679746
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 pterjan <pterjan> 0.69-8.mga5
+ Revision: 658278
- Rebuild for new evolution-data-server

* Sun May 04 2014 wally <wally> 0.69-7.mga5
+ Revision: 619925
- build with adwaita-icon-theme

* Fri Apr 25 2014 fwang <fwang> 0.69-6.mga5
+ Revision: 617743
- drop plugin

  + dams <dams>
    - rebuild for new 'gnome-bluetooth'

* Sat Nov 09 2013 ovitters <ovitters> 0.69-5.mga4
+ Revision: 550165
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.69-4.mga4
+ Revision: 532212
- Mageia 4 Mass Rebuild

* Sun Aug 18 2013 fwang <fwang> 0.69-3.mga4
+ Revision: 467495
- rebuild for new eds

* Tue Jul 30 2013 dams <dams> 0.69-2.mga4
+ Revision: 460810
- rebuild for new 'gnome-bluetooth'

* Wed May 29 2013 fwang <fwang> 0.69-1.mga4
+ Revision: 430454
- disable warnings
- update patch from archlinux

  + dams <dams>
    - new version 0.69

* Sat Jan 12 2013 umeabot <umeabot> 0.68-10.mga3
+ Revision: 352187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.68-9.mga3
+ Revision: 339132
- patch1: fix build with automake 1.13

* Wed Oct 03 2012 malo <malo> 0.68-8.mga3
+ Revision: 302550
- update RPM group

* Thu Aug 30 2012 fwang <fwang> 0.68-7.mga3
+ Revision: 285812
- sync with fedora package to build with latest evo

* Thu Jan 19 2012 fwang <fwang> 0.68-7.mga2
+ Revision: 198054
- rebuild for new gnome-bluetooth

* Sat Dec 03 2011 fwang <fwang> 0.68-6.mga2
+ Revision: 175315
- rebuild for new gnokii

* Tue Nov 22 2011 fwang <fwang> 0.68-5.mga2
+ Revision: 170810
- adopt to gnome-bluetooth api change
- drop old symbol
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 0.68-4.mga2
+ Revision: 159501
- rebuild for new evo

* Mon Oct 17 2011 fwang <fwang> 0.68-3.mga2
+ Revision: 155645
- drop .la files

* Mon Oct 17 2011 fwang <fwang> 0.68-2.mga2
+ Revision: 155626
- add post script
- imported package gnome-phone-manager

